Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.similarities
Class DistributionSPL

    java.lang.Object
      org.apache.lucene.search.similarities.Distribution
          org.apache.lucene.search.similarities.DistributionSPL

    public class DistributionSPL

extends Distribution

The smoothed power-law (SPL) distribution for the information-based framework that is described in the original paper.

Unlike for DFR, the natural logarithm is used, as it is faster to compute and the original paper does not express any preference to a specific base.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`DistributionSPL()` Sole constructor: parameter-free

Method Summary
`float` | `score(BasicStats stats, float tfn, float lambda)` Computes the score.
`String` | `toString()` Subclasses must override this method to return the name of the distribution.

Methods inherited from class org.apache.lucene.search.similarities.Distribution
`explain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributionSPL

    public DistributionSPL()

  Sole constructor: parameter-free

Method Detail

### score

    public final float score(BasicStats stats,
                             float tfn,
                             float lambda)

  Description copied from class: `Distribution`
  Computes the score.

  Specified by:
    `score` in class `Distribution`

### toString

    public String toString()

  Description copied from class: `Distribution`
  Subclasses must override this method to return the name of the distribution.

  Specified by:
    `toString` in class `Distribution`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.